Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.ejbql
Interface EJBQLCompiledExpression

    public interface EJBQLCompiledExpression

Represents an EJB QL expression "compiled" in the context of a certain mapping.

Since:
  3.0
Author:
  Andrus Adamchik

Method Summary
`ClassDescriptor` | `getEntityDescriptor(String identifier)` Returns a ClassDescriptor for the id variable.
`EJBQLExpression` | `getExpression()` Returns a tree representation of an EJBQL expression.
`ObjRelationship` | `getIncomingRelationship(String identifier)` Returns a relationship that joins identifier with a parent entity.
`SQLResultSetMapping` | `getResultSetMapping()` Returns a mapping of the result set columns, or null if this is not a select expression.
`ClassDescriptor` | `getRootDescriptor()` Returns a descriptor of the root of this expression such as entity being fetched or updated.
`String` | `getSource()` Returns EJB QL source of the compiled expression if available.

Method Detail

### getExpression

    EJBQLExpression getExpression()

  Returns a tree representation of an EJBQL expression.

### getRootDescriptor

    ClassDescriptor getRootDescriptor()

  Returns a descriptor of the root of this expression such as entity being fetched or updated.

### getEntityDescriptor

    ClassDescriptor getEntityDescriptor(String identifier)

  Returns a ClassDescriptor for the id variable.

### getIncomingRelationship

    ObjRelationship getIncomingRelationship(String identifier)

  Returns a relationship that joins identifier with a parent entity. Returns null if the identifier corresponds to one of the query roots.

### getSource

    String getSource()

  Returns EJB QL source of the compiled expression if available.

### getResultSetMapping

    SQLResultSetMapping getResultSetMapping()

  Returns a mapping of the result set columns, or null if this is not a select expression.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Cayenne. All Rights Reserved.